Browse Source

Postfix MTA

Signed-off-by: Denis Shulyaka <Shulyaka@gmail.com>
Denis Shulyaka 10 years ago
parent
commit
cbe59734b6

+ 236
- 0
mail/postfix/Makefile View File

@@ -0,0 +1,236 @@
1
+# 
2
+# Copyright (C) 2014 OpenWrt.org
3
+#
4
+# This is free software, licensed under the GNU General Public License v2.
5
+# See /LICENSE for more information.
6
+#
7
+
8
+include $(TOPDIR)/rules.mk
9
+
10
+PKG_NAME:=postfix
11
+PKG_RELEASE:=1
12
+PKG_SOURCE_URL:=ftp://ftp.porcupine.org/mirrors/postfix-release/official/
13
+PKG_VERSION:=2.11.1
14
+PKG_MD5SUM:=56ac1f1a79737c4ac1e24535a122a4a6
15
+PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
16
+PKG_MAINTAINER:=Denis Shulyaka <Shulyaka@gmail.com>
17
+PKG_LICENSE:=IPL-1.0
18
+PKG_LICENSE_FILE:=LICENSE
19
+PKG_BUILD_DEPENDS:=+tinycdb
20
+
21
+include $(INCLUDE_DIR)/package.mk
22
+
23
+define Package/postfix
24
+  SECTION:=mail
25
+  CATEGORY:=Mail
26
+  TITLE:=Postfix Mail Transmit Agent
27
+  URL:=http://www.postfix.org/
28
+  DEPENDS:=+POSTFIX_TLS:libopenssl +POSTFIX_SASL:libsasl2 +POSTFIX_LDAP:libopenldap +libpcre
29
+endef
30
+
31
+define Package/postfix/description
32
+ Postfix is Wietse Venema's mailer that started life as an alternative to the widely-used Sendmail program. Postfix attempts to be fast, easy to administer, and secure, while at the same time being sendmail compatible enough to not upset existing users. Thus, the outside has a sendmail-ish flavor, but the inside is completely different.
33
+endef
34
+
35
+define Package/postfix/config
36
+	menu "Select postfix build options"
37
+		config POSTFIX_TLS
38
+			bool "TLS support"
39
+			default y
40
+			help
41
+			  Implements TLS support in postfix (using OpenSSL).
42
+		config POSTFIX_SASL
43
+			bool "SASL support"
44
+			default y
45
+			help
46
+			  Implements SASL support in postfix (using Cyrus SASL).
47
+		config POSTFIX_LDAP
48
+			bool "LDAP support"
49
+			default y
50
+			help
51
+			  Implements LDAP support in postfix (using OpenLDAP).
52
+	endmenu
53
+endef
54
+
55
+define Package/postfix/conffiles
56
+/etc/postfix/main.cf
57
+/etc/postfix/master.cf
58
+/etc/postfix/aliases
59
+endef
60
+
61
+CCARGS=-DHAS_CDB -DNO_DB -DNO_EPOLL -DNO_SIGSETJMP -DNO_NIS -DDEF_DB_TYPE=\"cdb\"
62
+AUXLIBS=-L$(STAGING_DIR)/usr/lib -lcdb
63
+
64
+ifdef CONFIG_POSTFIX_TLS
65
+  CCARGS+=-DUSE_TLS
66
+  AUXLIBS+=-lssl -lcrypto
67
+endif
68
+
69
+ifdef CONFIG_POSTFIX_SASL
70
+  CCARGS+=-DUSE_SASL_AUTH -DUSE_CYRUS_SASL -I$(STAGING_DIR)/usr/include/sasl
71
+  AUXLIBS+=-lsasl2
72
+endif
73
+
74
+ifdef CONFIG_POSTFIX_LDAP
75
+  CCARGS+=-DHAS_LDAP
76
+  AUXLIBS+=-lldap -llber
77
+endif
78
+
79
+config_directory=/etc/postfix
80
+sample_directory=/etc/postfix
81
+command_directory=/usr/sbin
82
+daemon_directory=/usr/libexec/postfix
83
+data_directory=/usr/var/lib/postfix
84
+queue_directory=/usr/var/spool/postfix
85
+mail_spool_directory=/usr/var/mail
86
+html_directory=no
87
+manpage_directory=no
88
+readme_directory=no
89
+sendmail_path=/usr/sbin/sendmail
90
+newaliases_path=/usr/bin/newaliases
91
+mailq_path=/usr/bin/mailq
92
+
93
+ln_suffix=.postfix
94
+ln_old_suffix=.old
95
+
96
+define Build/Configure
97
+	cd $(PKG_BUILD_DIR); $(MAKE) makefiles CCARGS='$(CCARGS)' $(TARGET_CONFIGURE_OPTS) AUXLIBS="$(AUXLIBS)"
98
+endef
99
+
100
+define Build/Compile
101
+	# Currently postfix has a bug with Makefiles that CCARGS are not passed to the compiler, so we are copying them to CC
102
+	cd $(PKG_BUILD_DIR); $(MAKE) $(TARGET_CONFIGURE_OPTS) CC='$(TARGET_CC) $(CCARGS)'
103
+	mv $(PKG_BUILD_DIR)/conf/main.cf.default.openwrt $(PKG_BUILD_DIR)/conf/main.cf.default
104
+	echo "sendmail_path = $(sendmail_path)$(ln_suffix)" >> $(PKG_BUILD_DIR)/conf/main.cf.default
105
+	echo "newaliases_path = $(newaliases_path)$(ln_suffix)" >> $(PKG_BUILD_DIR)/conf/main.cf.default
106
+	echo "mailq_path = $(mailq_path)$(ln_suffix)" >> $(PKG_BUILD_DIR)/conf/main.cf.default
107
+	echo "html_directory = $(html_directory)" >> $(PKG_BUILD_DIR)/conf/main.cf.default
108
+	echo "manpage_directory = $(manpage_directory)" >> $(PKG_BUILD_DIR)/conf/main.cf.default
109
+	echo "sample_directory = $(sample_directory)" >> $(PKG_BUILD_DIR)/conf/main.cf.default
110
+	echo "readme_directory = $(readme_directory)" >> $(PKG_BUILD_DIR)/conf/main.cf.default
111
+	echo "command_directory = $(command_directory)" >> $(PKG_BUILD_DIR)/conf/main.cf.default
112
+	echo "daemon_directory = $(daemon_directory)" >> $(PKG_BUILD_DIR)/conf/main.cf.default
113
+	echo "data_directory = $(data_directory)" >> $(PKG_BUILD_DIR)/conf/main.cf.default
114
+	echo "queue_directory = $(queue_directory)" >> $(PKG_BUILD_DIR)/conf/main.cf.default
115
+	echo "config_directory = $(config_directory)" >> $(PKG_BUILD_DIR)/conf/main.cf.default
116
+	echo "mail_spool_directory = $(mail_spool_directory)" >> $(PKG_BUILD_DIR)/conf/main.cf.default
117
+endef
118
+
119
+define Package/postfix/install
120
+	cd $(PKG_BUILD_DIR); $(MAKE) install_root=$(1) command_directory=$(command_directory) daemon_directory=$(daemon_directory) data_directory=$(data_directory) html_directory=$(html_directory) mail_owner=postfix mailq_path=$(mailq_path)$(ln_suffix) manpage_directory=$(manpage_directory) newaliases_path=$(newaliases_path)$(ln_suffix) queue_directory=$(queue_directory) readme_directory=$(readme_directory) sendmail_path=$(sendmail_path)$(ln_suffix) setgid_group=postdrop sample_directory=$(sample_directory) config_directory=$(config_directory) non-interactive-package
121
+	$(INSTALL_DIR) $(1)$(mail_spool_directory)
122
+	$(INSTALL_DIR) $(1)/etc/init.d/
123
+	$(INSTALL_BIN) $(PKG_BUILD_DIR)/postfix_init $(1)/etc/init.d/postfix
124
+endef
125
+
126
+define Package/postfix/postinst
127
+#!/bin/sh
128
+# check if we are on real system
129
+if [ -z "$${IPKG_INSTROOT}" ]; then
130
+
131
+ if [ -f "$(sendmail_path)" -a "$$(readlink "$(sendmail_path)")" != "$(sendmail_path)$(ln_suffix)" ]; then
132
+  mv "$(sendmail_path)" "$(sendmail_path)$(ln_old_suffix)"
133
+  echo "Warning: $(sendmail_path) saved as $(sendmail_path)$(ln_old_suffix)"
134
+ fi
135
+ if [ ! -f "$(sendmail_path)" ]; then
136
+  ln -s "$(sendmail_path)$(ln_suffix)" "$(sendmail_path)"
137
+ fi
138
+
139
+ if [ -f "$(newaliases_path)" -a "$$(readlink "$(newaliases_path)")" != "$(newaliases_path)$(ln_suffix)" ]; then
140
+  mv "$(newaliases_path)" "$(newaliases_path)$(ln_old_suffix)"
141
+  echo "Warning: $(newaliases_path) saved as $(newaliases_path)$(ln_old_suffix)"
142
+ fi
143
+ if [ ! -f "$(newaliases_path)" ]; then
144
+  ln -s "$(newaliases_path)$(ln_suffix)" "$(newaliases_path)"
145
+ fi
146
+
147
+ if [ -f "$(mailq_path)" -a "$$(readlink "$(mailq_path)")" != "$(mailq_path)$(ln_suffix)" ]; then
148
+  mv "$(mailq_path)" "$(mailq_path)$(ln_old_suffix)"
149
+  echo "Warning: $(mailq_path) saved as $(mailq_path)$(ln_old_suffix)"
150
+ fi
151
+ if [ ! -f "$(mailq_path)" ]; then
152
+  ln -s "$(mailq_path)$(ln_suffix)" "$(mailq_path)"
153
+ fi
154
+
155
+ echo "myhostname = $$(uci get system.@system[0].hostname)" >> $(config_directory)/main.cf.default
156
+ echo "mydomain = $$(uci get system.@system[0].hostname|sed -e "s/[^\.]*\.\(.*\)/\1/")" >> $(config_directory)/main.cf.default
157
+ for net in $$(uci show network|grep ipaddr|sed -e "s/network\.\([^\.]*\).*/\1/"); do eval "$$(ipcalc.sh $$(uci get network.$$net.ipaddr) $$(uci get network.$$net.netmask))"; echo "$$IP/$$PREFIX"; done | xargs echo "mynetworks =" >> $(config_directory)/main.cf.default
158
+
159
+ grep -qc "^sendmail_path" /etc/postfix/main.cf >/dev/null || postconf -e "$$(grep "^sendmail_path =" /etc/postfix/main.cf.default)"
160
+ grep -qc "^newaliases_path" /etc/postfix/main.cf >/dev/null || postconf -e "$$(grep "^newaliases_path =" /etc/postfix/main.cf.default)"
161
+ grep -qc "^mailq_path" /etc/postfix/main.cf >/dev/null || postconf -e "$$(grep "^mailq_path =" /etc/postfix/main.cf.default)"
162
+ grep -qc "^html_directory" /etc/postfix/main.cf >/dev/null || postconf -e "$$(grep "^html_directory =" /etc/postfix/main.cf.default)"
163
+ grep -qc "^manpage_directory" /etc/postfix/main.cf >/dev/null || postconf -e "$$(grep "^manpage_directory =" /etc/postfix/main.cf.default)"
164
+ grep -qc "^sample_directory" /etc/postfix/main.cf >/dev/null || postconf -e "$$(grep "^sample_directory =" /etc/postfix/main.cf.default)"
165
+ grep -qc "^readme_directory" /etc/postfix/main.cf >/dev/null || postconf -e "$$(grep "^readme_directory =" /etc/postfix/main.cf.default)"
166
+ grep -qc "^command_directory" /etc/postfix/main.cf >/dev/null || postconf -e "$$(grep "^command_directory =" /etc/postfix/main.cf.default)"
167
+ grep -qc "^daemon_directory" /etc/postfix/main.cf >/dev/null || postconf -e "$$(grep "^daemon_directory =" /etc/postfix/main.cf.default)"
168
+ grep -qc "^data_directory" /etc/postfix/main.cf >/dev/null || postconf -e "$$(grep "^data_directory =" /etc/postfix/main.cf.default)"
169
+ grep -qc "^queue_directory" /etc/postfix/main.cf >/dev/null || postconf -e "$$(grep "^queue_directory =" /etc/postfix/main.cf.default)"
170
+ grep -qc "^config_directory" /etc/postfix/main.cf >/dev/null || postconf -e "$$(grep "^config_directory =" /etc/postfix/main.cf.default)"
171
+ grep -qc "^mail_spool_directory" /etc/postfix/main.cf >/dev/null || postconf -e "$$(grep "^mail_spool_directory =" /etc/postfix/main.cf.default)"
172
+ grep -qc "^mail_owner" /etc/postfix/main.cf >/dev/null || postconf -e "$$(grep "^mail_owner =" /etc/postfix/main.cf.default)"
173
+ grep -qc "^setgid_group" /etc/postfix/main.cf >/dev/null || postconf -e "$$(grep "^setgid_group =" /etc/postfix/main.cf.default)"
174
+ grep -qc "^myhostname" /etc/postfix/main.cf >/dev/null || postconf -e "$$(grep "^myhostname =" /etc/postfix/main.cf.default)"
175
+ grep -qc "^mydomain" /etc/postfix/main.cf >/dev/null || postconf -e "$$(grep "^mydomain =" /etc/postfix/main.cf.default)"
176
+ grep -qc "^mynetworks" /etc/postfix/main.cf >/dev/null || postconf -e "$$(grep "^mynetworks =" /etc/postfix/main.cf.default)"
177
+
178
+ EXTRA_COMMANDS=create_users /etc/init.d/postfix create_users
179
+
180
+ postfix set-permissions
181
+ postfix post-install upgrade-source
182
+ postfix upgrade-configuration
183
+ newaliases
184
+ if [ `ps | grep "postfix/master" | grep -cv grep` -gt 0 ]
185
+ then
186
+  postfix reload
187
+ fi
188
+ if [ `grep -c aliases /etc/sysupgrade.conf` -eq 0 ]
189
+ then
190
+  echo "$(config_directory)/main.cf" >> /etc/sysupgrade.conf
191
+  echo "$(config_directory)/aliases" >> /etc/sysupgrade.conf
192
+ fi
193
+
194
+fi
195
+endef
196
+
197
+define Package/postfix/prerm
198
+#!/bin/sh
199
+# check if we are on real system
200
+if [ -z "$${IPKG_INSTROOT}" ]; then
201
+
202
+ if [ `ps | grep "postfix/master" | grep -cv grep` -gt 0 ]
203
+ then
204
+  postfix stop
205
+ fi
206
+
207
+ /etc/init.d/postfix disable
208
+
209
+fi
210
+endef
211
+
212
+define Package/postfix/postrm
213
+#!/bin/sh
214
+# check if we are on real system
215
+if [ -z "$${IPKG_INSTROOT}" ]; then
216
+ rm -f $(config_directory)/aliases.cdb $(data_directory)/master.lock
217
+
218
+ rm -f "$(sendmail_path)" "$(newaliases_path)" "$(mailq_path)"
219
+
220
+ if [ -f "$(sendmail_path)$(ln_old_suffix)" ]; then
221
+  mv "$(sendmail_path)$(ln_old_suffix)" "$(sendmail_path)"
222
+  echo "Warning: $(sendmail_path) restored from $(sendmail_path)$(ln_old_suffix)"
223
+ fi
224
+ if [ -f "$(newaliases_path)$(ln_old_suffix)" ]; then
225
+  mv "$(newaliases_path)$(ln_old_suffix)" "$(newaliases_path)"
226
+  echo "Warning: $(newaliases_path) restored from $(newaliases_path)$(ln_old_suffix)"
227
+ fi
228
+ if [ -f "$(mailq_path)$(ln_old_suffix)" ]; then
229
+  mv "$(mailq_path)$(ln_old_suffix)" "$(mailq_path)"
230
+  echo "Warning: $(mailq_path) restored from $(mailq_path)$(ln_old_suffix)"
231
+ fi
232
+
233
+fi
234
+endef
235
+
236
+$(eval $(call BuildPackage,postfix))

+ 12
- 0
mail/postfix/patches/100-fsstat.patch View File

@@ -0,0 +1,12 @@
1
+diff -rupN postfix-2.8.1/src/smtpd/smtpd_check.c postfix-2.8.1_patched/src/smtpd/smtpd_check.c
2
+--- postfix-2.8.1/src/smtpd/smtpd_check.c	2011-01-04 22:03:50.000000000 +0300
3
++++ postfix-2.8.1_patched/src/smtpd/smtpd_check.c	2011-03-06 19:35:39.000000000 +0300
4
+@@ -4894,7 +4894,7 @@ char   *smtpd_check_queue(SMTPD_STATE *s
5
+      */
6
+ #define BLOCKS(x)	((x) / fsbuf.block_size)
7
+ 
8
+-    fsspace(".", &fsbuf);
9
++    fsspace("/overlay", &fsbuf);
10
+     if (msg_verbose)
11
+ 	msg_info("%s: blocks %lu avail %lu min_free %lu msg_size_limit %lu",
12
+ 		 myname,

+ 80
- 0
mail/postfix/patches/200-manpages.patch View File

@@ -0,0 +1,80 @@
1
+diff -Naur postfix-2.10.2/conf/post-install postfix-2.10.2_patched/conf/post-install
2
+--- postfix-2.10.2/conf/post-install	2013-06-13 18:07:46.000000000 +0400
3
++++ postfix-2.10.2_patched/conf/post-install	2013-11-19 21:17:49.572820573 +0400
4
+@@ -350,10 +350,10 @@
5
+ 
6
+ # Sanity checks
7
+ 
8
+-case $manpage_directory in
9
+- no) echo $0: Error: manpage_directory no longer accepts \"no\" values. 1>&2
10
+-     echo Try again with \"$0 manpage_directory=/pathname ...\". 1>&2; exit 1;;
11
+-esac
12
++#case $manpage_directory in
13
++# no) echo $0: Error: manpage_directory no longer accepts \"no\" values. 1>&2
14
++#     echo Try again with \"$0 manpage_directory=/pathname ...\". 1>&2; exit 1;;
15
++#esac
16
+ 
17
+ case $setgid_group in
18
+  no) echo $0: Error: setgid_group no longer accepts \"no\" values. 1>&2
19
+@@ -361,7 +361,7 @@
20
+ esac
21
+ 
22
+ for path in "$daemon_directory" "$command_directory" "$queue_directory" \
23
+-    "$sendmail_path" "$newaliases_path" "$mailq_path" "$manpage_directory"
24
++    "$sendmail_path" "$newaliases_path" "$mailq_path"
25
+ do
26
+    case "$path" in
27
+    /*) ;;
28
+@@ -369,7 +369,7 @@
29
+    esac
30
+ done
31
+ 
32
+-for path in "$html_directory" "$readme_directory"
33
++for path in "$html_directory" "$readme_directory" "$manpage_directory"
34
+ do
35
+    case "$path" in
36
+    /*) ;;
37
+diff -Naur postfix-2.10.2/postfix-install postfix-2.10.2_patched/postfix-install
38
+--- postfix-2.10.2/postfix-install	2012-05-22 23:40:29.000000000 +0400
39
++++ postfix-2.10.2_patched/postfix-install	2013-11-19 21:12:20.694160734 +0400
40
+@@ -481,13 +481,13 @@
41
+      exit 1;;
42
+ esac
43
+ 
44
+-case "$manpage_directory" in
45
+- no) (echo $0: Error: the manpage_directory parameter no longer accepts 
46
+-     echo \"no\" values.  Try again with \"manpage_directory=/path/name\" 
47
+-     echo on the command line or execute \"make install\" and specify
48
+-     echo manpage_directory interactively.) | ${FMT} 1>&2
49
+-     exit 1;;
50
+-esac
51
++#case "$manpage_directory" in
52
++# no) (echo $0: Error: the manpage_directory parameter no longer accepts 
53
++#     echo \"no\" values.  Try again with \"manpage_directory=/path/name\" 
54
++#     echo on the command line or execute \"make install\" and specify
55
++#     echo manpage_directory interactively.) | ${FMT} 1>&2
56
++#     exit 1;;
57
++#esac
58
+ 
59
+ for path in "$html_directory" "$readme_directory"
60
+ do
61
+@@ -500,7 +500,7 @@
62
+ done
63
+ 
64
+ for path in "$daemon_directory" "$data_directory" "$command_directory" "$queue_directory" \
65
+-    "$sendmail_path" "$newaliases_path" "$mailq_path" "$manpage_directory"
66
++    "$sendmail_path" "$newaliases_path" "$mailq_path"
67
+ do
68
+    case "$path" in
69
+    /*) ;;
70
+@@ -680,8 +680,8 @@
71
+ 		compare_or_replace $mode "$owner" "$group" html/$file \
72
+ 		    $HTML_DIRECTORY/$file || exit 1;;
73
+ 	'$manpage_directory')
74
+-	    check_parent $MANPAGE_DIRECTORY/$file || exit 1
75
+-	    compare_or_replace $mode "$owner" "$group" man/$file \
76
++	    test "$manpage_directory" = "no" || check_parent $MANPAGE_DIRECTORY/$file || exit 1
77
++	    test "$manpage_directory" = "no" || compare_or_replace $mode "$owner" "$group" man/$file \
78
+ 		$MANPAGE_DIRECTORY/$file || exit 1;;
79
+ 	'$readme_directory')
80
+ 	    test "$readme_directory" = "no" ||

+ 23
- 0
mail/postfix/patches/300-init.patch View File

@@ -0,0 +1,23 @@
1
+diff -rupN postfix-2.8.1/postfix_init postfix-2.8.1_patched/postfix_init
2
+--- postfix-2.8.1/postfix_init	1970-01-01 03:00:00.000000000 +0300
3
++++ postfix-2.8.1_patched/postfix_init	2011-03-06 21:44:50.000000000 +0300
4
+@@ -0,0 +1,19 @@
5
++#!/bin/sh /etc/rc.common
6
++# Copyright (C) 2014 OpenWrt.org
7
++
8
++START=50
9
++STOP=50
10
++
11
++create_users() {
12
++	group_exists postfix || group_add postfix 87
13
++	user_exists postfix || user_add postfix 87
14
++	group_exists postdrop || group_add postdrop 88
15
++}
16
++
17
++start() {
18
++	postfix start
19
++}
20
++
21
++stop() {
22
++	postfix stop
23
++}

+ 14
- 0
mail/postfix/patches/400-cdb.patch View File

@@ -0,0 +1,14 @@
1
+diff -Naur postfix-2.11.1/src/util/sys_defs.h postfix-2.11.1.patched/src/util/sys_defs.h
2
+--- postfix-2.11.1/src/util/sys_defs.h	2013-09-30 00:51:55.000000000 +0400
3
++++ postfix-2.11.1.patched/src/util/sys_defs.h	2014-09-29 03:11:48.962277971 +0400
4
+@@ -767,9 +767,8 @@
5
+ #define INTERNAL_LOCK	MYFLOCK_STYLE_FLOCK
6
+ #define DEF_MAILBOX_LOCK "fcntl, dotlock"	/* RedHat >= 4.x */
7
+ #define HAS_FSYNC
8
+-#define HAS_DB
9
+ #define NATIVE_DB_TYPE	"hash"
10
+-#define ALIAS_DB_MAP	DEF_DB_TYPE ":/etc/aliases"
11
++#define ALIAS_DB_MAP	DEF_DB_TYPE ":/etc/postfix/aliases"
12
+ #ifndef NO_NIS
13
+ #define HAS_NIS
14
+ #endif

+ 27
- 0
mail/postfix/patches/500-crosscompile.patch View File

@@ -0,0 +1,27 @@
1
+--- postfix-2.10.2/makedefs	2013-02-04 05:33:13.000000000 +0400
2
++++ postfix-2.10.2_patched/makedefs	2013-11-19 22:48:50.528560454 +0400
3
+@@ -107,9 +107,9 @@
4
+ 
5
+ case $# in
6
+  # Officially supported usage.
7
+- 0) SYSTEM=`(uname -s) 2>/dev/null`
8
+-    RELEASE=`(uname -r) 2>/dev/null`
9
+-    VERSION=`(uname -v) 2>/dev/null`
10
++ 0) SYSTEM="Linux"
11
++    RELEASE="3.10.18"
12
++    VERSION="OpenWRT"
13
+     case "$VERSION" in
14
+      dcosx*) SYSTEM=$VERSION;;
15
+     esac;;
16
+@@ -384,9 +384,9 @@
17
+ 		esac
18
+ 		for name in nsl resolv
19
+ 		do
20
+-		    for lib in /usr/lib64 /lib64 /usr/lib /usr/lib/* /lib /lib/*
21
++		    for lib in /usr/lib64 /usr/lib64/* /usr/lib /usr/lib/* /lib /lib/*
22
+ 		    do
23
+-			test -e $lib/lib$name.a -o -e $lib/lib$name.so && {
24
++			test -e $PKG_BUILD_DIR/$lib/lib$name.a -o -e $PKG_BUILD_DIR/$lib/lib$name.so && {
25
+ 			    SYSLIBS="$SYSLIBS -l$name"
26
+ 			    break
27
+ 			}

+ 40
- 0
mail/postfix/patches/600-nopostconf.patch View File

@@ -0,0 +1,40 @@
1
+diff -Naur postfix-2.11.1/postfix-install postfix-2.11.1.patched/postfix-install
2
+--- postfix-2.11.1/postfix-install	2014-10-05 20:43:58.598876904 +0400
3
++++ postfix-2.11.1.patched/postfix-install	2014-10-05 20:47:36.076700082 +0400
4
+@@ -729,21 +729,21 @@
5
+ # Postfix releases, and software should not suddenly be installed in
6
+ # the wrong place when Postfix is being upgraded.
7
+ 
8
+-bin/postconf -c $CONFIG_DIRECTORY -e \
9
+-    "daemon_directory = $daemon_directory" \
10
+-    "data_directory = $data_directory" \
11
+-    "command_directory = $command_directory" \
12
+-    "queue_directory = $queue_directory" \
13
+-    "mail_owner = $mail_owner" \
14
+-    "setgid_group = $setgid_group" \
15
+-    "sendmail_path = $sendmail_path" \
16
+-    "mailq_path = $mailq_path" \
17
+-    "newaliases_path = $newaliases_path" \
18
+-    "html_directory = $html_directory" \
19
+-    "manpage_directory = $manpage_directory" \
20
+-    "sample_directory = $sample_directory" \
21
+-    "readme_directory = $readme_directory" \
22
+-|| exit 1
23
++#bin/postconf -c $CONFIG_DIRECTORY -e \
24
++#    "daemon_directory = $daemon_directory" \
25
++#    "data_directory = $data_directory" \
26
++#    "command_directory = $command_directory" \
27
++#    "queue_directory = $queue_directory" \
28
++#    "mail_owner = $mail_owner" \
29
++#    "setgid_group = $setgid_group" \
30
++#    "sendmail_path = $sendmail_path" \
31
++#    "mailq_path = $mailq_path" \
32
++#    "newaliases_path = $newaliases_path" \
33
++#    "html_directory = $html_directory" \
34
++#    "manpage_directory = $manpage_directory" \
35
++#    "sample_directory = $sample_directory" \
36
++#    "readme_directory = $readme_directory" \
37
++#|| exit 1
38
+ 
39
+ # If Postfix is being installed locally from source code, do the
40
+ # post-install processing now.

+ 916
- 0
mail/postfix/patches/700-defaultconfig.patch View File

@@ -0,0 +1,916 @@
1
+diff -Naur postfix-2.11.1/conf/main.cf postfix-2.11.1.patched/conf/main.cf
2
+--- postfix-2.11.1/conf/main.cf	2013-12-24 18:57:25.000000000 +0400
3
++++ postfix-2.11.1.patched/conf/main.cf	2014-10-05 21:35:53.427534410 +0400
4
+@@ -21,43 +21,8 @@
5
+ #
6
+ #soft_bounce = no
7
+ 
8
+-# LOCAL PATHNAME INFORMATION
9
+-#
10
+-# The queue_directory specifies the location of the Postfix queue.
11
+-# This is also the root directory of Postfix daemons that run chrooted.
12
+-# See the files in examples/chroot-setup for setting up Postfix chroot
13
+-# environments on different UNIX systems.
14
+-#
15
+-queue_directory = /var/spool/postfix
16
+-
17
+-# The command_directory parameter specifies the location of all
18
+-# postXXX commands.
19
+-#
20
+-command_directory = /usr/sbin
21
+-
22
+-# The daemon_directory parameter specifies the location of all Postfix
23
+-# daemon programs (i.e. programs listed in the master.cf file). This
24
+-# directory must be owned by root.
25
+-#
26
+-daemon_directory = /usr/libexec/postfix
27
+-
28
+-# The data_directory parameter specifies the location of Postfix-writable
29
+-# data files (caches, random numbers). This directory must be owned
30
+-# by the mail_owner account (see below).
31
+-#
32
+-data_directory = /var/lib/postfix
33
+-
34
+ # QUEUE AND PROCESS OWNERSHIP
35
+ #
36
+-# The mail_owner parameter specifies the owner of the Postfix queue
37
+-# and of most Postfix daemon processes.  Specify the name of a user
38
+-# account THAT DOES NOT SHARE ITS USER OR GROUP ID WITH OTHER ACCOUNTS
39
+-# AND THAT OWNS NO OTHER FILES OR PROCESSES ON THE SYSTEM.  In
40
+-# particular, don't specify nobody or daemon. PLEASE USE A DEDICATED
41
+-# USER.
42
+-#
43
+-mail_owner = postfix
44
+-
45
+ # The default_privs parameter specifies the default rights used by
46
+ # the local delivery agent for delivery to external file or command.
47
+ # These rights are used in the absence of a recipient user context.
48
+@@ -613,45 +578,4 @@
49
+ #	-dmS $process_name gdb $daemon_directory/$process_name
50
+ #	$process_id & sleep 1
51
+ 
52
+-# INSTALL-TIME CONFIGURATION INFORMATION
53
+-#
54
+-# The following parameters are used when installing a new Postfix version.
55
+-# 
56
+-# sendmail_path: The full pathname of the Postfix sendmail command.
57
+-# This is the Sendmail-compatible mail posting interface.
58
+-# 
59
+-sendmail_path =
60
+-
61
+-# newaliases_path: The full pathname of the Postfix newaliases command.
62
+-# This is the Sendmail-compatible command to build alias databases.
63
+-#
64
+-newaliases_path =
65
+-
66
+-# mailq_path: The full pathname of the Postfix mailq command.  This
67
+-# is the Sendmail-compatible mail queue listing command.
68
+-# 
69
+-mailq_path =
70
+-
71
+-# setgid_group: The group for mail submission and queue management
72
+-# commands.  This must be a group name with a numerical group ID that
73
+-# is not shared with other accounts, not even with the Postfix account.
74
+-#
75
+-setgid_group =
76
+-
77
+-# html_directory: The location of the Postfix HTML documentation.
78
+-#
79
+-html_directory =
80
+-
81
+-# manpage_directory: The location of the Postfix on-line manual pages.
82
+-#
83
+-manpage_directory =
84
+-
85
+-# sample_directory: The location of the Postfix sample configuration files.
86
+-# This parameter is obsolete as of Postfix 2.1.
87
+-#
88
+-sample_directory =
89
+-
90
+-# readme_directory: The location of the Postfix README files.
91
+-#
92
+-readme_directory =
93
+ inet_protocols = ipv4
94
+diff -Naur postfix-2.11.1/conf/main.cf.default.openwrt postfix-2.11.1.patched/conf/main.cf.default.openwrt
95
+--- postfix-2.11.1/conf/main.cf.default.openwrt	1970-01-01 03:00:00.000000000 +0300
96
++++ postfix-2.11.1.patched/conf/main.cf.default.openwrt	2014-10-05 23:48:59.751127768 +0400
97
+@@ -0,0 +1,819 @@
98
++# DO NOT EDIT THIS FILE. EDIT THE MAIN.CF FILE INSTEAD. THE
99
++# TEXT HERE JUST SHOWS DEFAULT SETTINGS BUILT INTO POSTFIX.
100
++#
101
++2bounce_notice_recipient = postmaster
102
++access_map_defer_code = 450
103
++access_map_reject_code = 554
104
++address_verify_cache_cleanup_interval = 12h
105
++address_verify_default_transport = $default_transport
106
++address_verify_local_transport = $local_transport
107
++address_verify_map = btree:$data_directory/verify_cache
108
++address_verify_negative_cache = yes
109
++address_verify_negative_expire_time = 3d
110
++address_verify_negative_refresh_time = 3h
111
++address_verify_poll_count = ${stress?1}${stress:3}
112
++address_verify_poll_delay = 3s
113
++address_verify_positive_expire_time = 31d
114
++address_verify_positive_refresh_time = 7d
115
++address_verify_relay_transport = $relay_transport
116
++address_verify_relayhost = $relayhost
117
++address_verify_sender = $double_bounce_sender
118
++address_verify_sender_dependent_default_transport_maps = $sender_dependent_default_transport_maps
119
++address_verify_sender_dependent_relayhost_maps = $sender_dependent_relayhost_maps
120
++address_verify_sender_ttl = 0s
121
++address_verify_service_name = verify
122
++address_verify_transport_maps = $transport_maps
123
++address_verify_virtual_transport = $virtual_transport
124
++alias_database = cdb:/etc/aliases
125
++alias_maps = cdb:/etc/aliases
126
++allow_mail_to_commands = alias, forward
127
++allow_mail_to_files = alias, forward
128
++allow_min_user = no
129
++allow_percent_hack = yes
130
++allow_untrusted_routing = no
131
++alternate_config_directories =
132
++always_add_missing_headers = no
133
++always_bcc =
134
++anvil_rate_time_unit = 60s
135
++anvil_status_update_time = 600s
136
++append_at_myorigin = yes
137
++append_dot_mydomain = yes
138
++application_event_drain_time = 100s
139
++authorized_flush_users = static:anyone
140
++authorized_mailq_users = static:anyone
141
++authorized_submit_users = static:anyone
142
++backwards_bounce_logfile_compatibility = yes
143
++berkeley_db_create_buffer_size = 16777216
144
++berkeley_db_read_buffer_size = 131072
145
++best_mx_transport =
146
++biff = yes
147
++body_checks =
148
++body_checks_size_limit = 51200
149
++bounce_notice_recipient = postmaster
150
++bounce_queue_lifetime = 5d
151
++bounce_service_name = bounce
152
++bounce_size_limit = 50000
153
++bounce_template_file =
154
++broken_sasl_auth_clients = no
155
++canonical_classes = envelope_sender, envelope_recipient, header_sender, header_recipient
156
++canonical_maps =
157
++cleanup_service_name = cleanup
158
++command_execution_directory =
159
++command_expansion_filter = 1234567890!@%-_=+:,./abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ
160
++command_time_limit = 1000s
161
++connection_cache_protocol_timeout = 5s
162
++connection_cache_service_name = scache
163
++connection_cache_status_update_time = 600s
164
++connection_cache_ttl_limit = 2s
165
++content_filter =
166
++cyrus_sasl_config_path =
167
++daemon_table_open_error_is_fatal = no
168
++daemon_timeout = 18000s
169
++debug_peer_level = 2
170
++debug_peer_list =
171
++debugger_command =
172
++default_database_type = cdb
173
++default_delivery_slot_cost = 5
174
++default_delivery_slot_discount = 50
175
++default_delivery_slot_loan = 3
176
++default_destination_concurrency_failed_cohort_limit = 1
177
++default_destination_concurrency_limit = 20
178
++default_destination_concurrency_negative_feedback = 1
179
++default_destination_concurrency_positive_feedback = 1
180
++default_destination_rate_delay = 0s
181
++default_destination_recipient_limit = 50
182
++default_extra_recipient_limit = 1000
183
++default_filter_nexthop =
184
++default_minimum_delivery_slots = 3
185
++default_privs = nobody
186
++default_process_limit = 100
187
++default_rbl_reply = $rbl_code Service unavailable; $rbl_class [$rbl_what] blocked using $rbl_domain${rbl_reason?; $rbl_reason}
188
++default_recipient_limit = 20000
189
++default_recipient_refill_delay = 5s
190
++default_recipient_refill_limit = 100
191
++default_transport = smtp
192
++default_verp_delimiters = +=
193
++defer_code = 450
194
++defer_service_name = defer
195
++defer_transports =
196
++delay_logging_resolution_limit = 2
197
++delay_notice_recipient = postmaster
198
++delay_warning_time = 0h
199
++deliver_lock_attempts = 20
200
++deliver_lock_delay = 1s
201
++destination_concurrency_feedback_debug = no
202
++detect_8bit_encoding_header = yes
203
++disable_dns_lookups = no
204
++disable_mime_input_processing = no
205
++disable_mime_output_conversion = no
206
++disable_verp_bounces = no
207
++disable_vrfy_command = no
208
++dnsblog_reply_delay = 0s
209
++dnsblog_service_name = dnsblog
210
++dont_remove = 0
211
++double_bounce_sender = double-bounce
212
++duplicate_filter_limit = 1000
213
++empty_address_default_transport_maps_lookup_key = <>
214
++empty_address_recipient = MAILER-DAEMON
215
++empty_address_relayhost_maps_lookup_key = <>
216
++enable_long_queue_ids = no
217
++enable_original_recipient = yes
218
++error_delivery_slot_cost = $default_delivery_slot_cost
219
++error_delivery_slot_discount = $default_delivery_slot_discount
220
++error_delivery_slot_loan = $default_delivery_slot_loan
221
++error_destination_concurrency_failed_cohort_limit = $default_destination_concurrency_failed_cohort_limit
222
++error_destination_concurrency_limit = $default_destination_concurrency_limit
223
++error_destination_concurrency_negative_feedback = $default_destination_concurrency_negative_feedback
224
++error_destination_concurrency_positive_feedback = $default_destination_concurrency_positive_feedback
225
++error_destination_rate_delay = $default_destination_rate_delay
226
++error_destination_recipient_limit = $default_destination_recipient_limit
227
++error_extra_recipient_limit = $default_extra_recipient_limit
228
++error_initial_destination_concurrency = $initial_destination_concurrency
229
++error_minimum_delivery_slots = $default_minimum_delivery_slots
230
++error_notice_recipient = postmaster
231
++error_recipient_limit = $default_recipient_limit
232
++error_recipient_refill_delay = $default_recipient_refill_delay
233
++error_recipient_refill_limit = $default_recipient_refill_limit
234
++error_service_name = error
235
++execution_directory_expansion_filter = 1234567890!@%-_=+:,./abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ
236
++expand_owner_alias = no
237
++export_environment = TZ MAIL_CONFIG LANG
238
++fallback_transport =
239
++fallback_transport_maps =
240
++fast_flush_domains = $relay_domains
241
++fast_flush_purge_time = 7d
242
++fast_flush_refresh_time = 12h
243
++fault_injection_code = 0
244
++flush_service_name = flush
245
++fork_attempts = 5
246
++fork_delay = 1s
247
++forward_expansion_filter = 1234567890!@%-_=+:,./abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ
248
++forward_path = $home/.forward${recipient_delimiter}${extension}, $home/.forward
249
++frozen_delivered_to = yes
250
++hash_queue_depth = 1
251
++hash_queue_names = deferred, defer
252
++header_address_token_limit = 10240
253
++header_checks =
254
++header_size_limit = 102400
255
++helpful_warnings = yes
256
++home_mailbox =
257
++hopcount_limit = 50
258
++ignore_mx_lookup_error = no
259
++import_environment = MAIL_CONFIG MAIL_DEBUG MAIL_LOGTAG TZ XAUTHORITY DISPLAY LANG=C
260
++in_flow_delay = 1s
261
++inet_interfaces = all
262
++inet_protocols = all
263
++initial_destination_concurrency = 5
264
++internal_mail_filter_classes =
265
++invalid_hostname_reject_code = 501
266
++ipc_idle = 5s
267
++ipc_timeout = 3600s
268
++ipc_ttl = 1000s
269
++line_length_limit = 2048
270
++lmdb_map_size = 16777216
271
++lmtp_address_preference = any
272
++lmtp_assume_final = no
273
++lmtp_bind_address =
274
++lmtp_bind_address6 =
275
++lmtp_body_checks =
276
++lmtp_cname_overrides_servername = no
277
++lmtp_connect_timeout = 0s
278
++lmtp_connection_cache_destinations =
279
++lmtp_connection_cache_on_demand = yes
280
++lmtp_connection_cache_time_limit = 2s
281
++lmtp_connection_reuse_count_limit = 0
282
++lmtp_connection_reuse_time_limit = 300s
283
++lmtp_data_done_timeout = 600s
284
++lmtp_data_init_timeout = 120s
285
++lmtp_data_xfer_timeout = 180s
286
++lmtp_defer_if_no_mx_address_found = no
287
++lmtp_delivery_slot_cost = $default_delivery_slot_cost
288
++lmtp_delivery_slot_discount = $default_delivery_slot_discount
289
++lmtp_delivery_slot_loan = $default_delivery_slot_loan
290
++lmtp_destination_concurrency_failed_cohort_limit = $default_destination_concurrency_failed_cohort_limit
291
++lmtp_destination_concurrency_limit = $default_destination_concurrency_limit
292
++lmtp_destination_concurrency_negative_feedback = $default_destination_concurrency_negative_feedback
293
++lmtp_destination_concurrency_positive_feedback = $default_destination_concurrency_positive_feedback
294
++lmtp_destination_rate_delay = $default_destination_rate_delay
295
++lmtp_destination_recipient_limit = $default_destination_recipient_limit
296
++lmtp_discard_lhlo_keyword_address_maps =
297
++lmtp_discard_lhlo_keywords =
298
++lmtp_dns_resolver_options =
299
++lmtp_dns_support_level =
300
++lmtp_enforce_tls = no
301
++lmtp_extra_recipient_limit = $default_extra_recipient_limit
302
++lmtp_generic_maps =
303
++lmtp_header_checks =
304
++lmtp_host_lookup = dns
305
++lmtp_initial_destination_concurrency = $initial_destination_concurrency
306
++lmtp_lhlo_name = $myhostname
307
++lmtp_lhlo_timeout = 300s
308
++lmtp_line_length_limit = 998
309
++lmtp_mail_timeout = 300s
310
++lmtp_mime_header_checks =
311
++lmtp_minimum_delivery_slots = $default_minimum_delivery_slots
312
++lmtp_mx_address_limit = 5
313
++lmtp_mx_session_limit = 2
314
++lmtp_nested_header_checks =
315
++lmtp_per_record_deadline = no
316
++lmtp_pix_workaround_delay_time = 10s
317
++lmtp_pix_workaround_maps =
318
++lmtp_pix_workaround_threshold_time = 500s
319
++lmtp_pix_workarounds = disable_esmtp,delay_dotcrlf
320
++lmtp_quit_timeout = 300s
321
++lmtp_quote_rfc821_envelope = yes
322
++lmtp_randomize_addresses = yes
323
++lmtp_rcpt_timeout = 300s
324
++lmtp_recipient_limit = $default_recipient_limit
325
++lmtp_recipient_refill_delay = $default_recipient_refill_delay
326
++lmtp_recipient_refill_limit = $default_recipient_refill_limit
327
++lmtp_reply_filter =
328
++lmtp_rset_timeout = 20s
329
++lmtp_sasl_auth_cache_name =
330
++lmtp_sasl_auth_cache_time = 90d
331
++lmtp_sasl_auth_enable = no
332
++lmtp_sasl_auth_soft_bounce = yes
333
++lmtp_sasl_mechanism_filter =
334
++lmtp_sasl_password_maps =
335
++lmtp_sasl_path =
336
++lmtp_sasl_security_options = noplaintext, noanonymous
337
++lmtp_sasl_tls_security_options = $lmtp_sasl_security_options
338
++lmtp_sasl_tls_verified_security_options = $lmtp_sasl_tls_security_options
339
++lmtp_sasl_type = cyrus
340
++lmtp_send_dummy_mail_auth = no
341
++lmtp_send_xforward_command = no
342
++lmtp_sender_dependent_authentication = no
343
++lmtp_skip_5xx_greeting = yes
344
++lmtp_skip_quit_response = no
345
++lmtp_starttls_timeout = 300s
346
++lmtp_tcp_port = 24
347
++lmtp_tls_CAfile =
348
++lmtp_tls_CApath =
349
++lmtp_tls_block_early_mail_reply = no
350
++lmtp_tls_cert_file =
351
++lmtp_tls_ciphers = export
352
++lmtp_tls_dcert_file =
353
++lmtp_tls_dkey_file = $lmtp_tls_dcert_file
354
++lmtp_tls_eccert_file =
355
++lmtp_tls_eckey_file = $lmtp_tls_eccert_file
356
++lmtp_tls_enforce_peername = yes
357
++lmtp_tls_exclude_ciphers =
358
++lmtp_tls_fingerprint_cert_match =
359
++lmtp_tls_fingerprint_digest = md5
360
++lmtp_tls_force_insecure_host_tlsa_lookup = no
361
++lmtp_tls_key_file = $lmtp_tls_cert_file
362
++lmtp_tls_loglevel = 0
363
++lmtp_tls_mandatory_ciphers = medium
364
++lmtp_tls_mandatory_exclude_ciphers =
365
++lmtp_tls_mandatory_protocols = !SSLv2
366
++lmtp_tls_note_starttls_offer = no
367
++lmtp_tls_per_site =
368
++lmtp_tls_policy_maps =
369
++lmtp_tls_protocols = !SSLv2
370
++lmtp_tls_scert_verifydepth = 9
371
++lmtp_tls_secure_cert_match = nexthop
372
++lmtp_tls_security_level =
373
++lmtp_tls_session_cache_database =
374
++lmtp_tls_session_cache_timeout = 3600s
375
++lmtp_tls_trust_anchor_file =
376
++lmtp_tls_verify_cert_match = hostname
377
++lmtp_use_tls = no
378
++lmtp_xforward_timeout = 300s
379
++local_command_shell =
380
++local_delivery_slot_cost = $default_delivery_slot_cost
381
++local_delivery_slot_discount = $default_delivery_slot_discount
382
++local_delivery_slot_loan = $default_delivery_slot_loan
383
++local_destination_concurrency_failed_cohort_limit = $default_destination_concurrency_failed_cohort_limit
384
++local_destination_concurrency_limit = 2
385
++local_destination_concurrency_negative_feedback = $default_destination_concurrency_negative_feedback
386
++local_destination_concurrency_positive_feedback = $default_destination_concurrency_positive_feedback
387
++local_destination_rate_delay = $default_destination_rate_delay
388
++local_destination_recipient_limit = 1
389
++local_extra_recipient_limit = $default_extra_recipient_limit
390
++local_header_rewrite_clients = permit_inet_interfaces
391
++local_initial_destination_concurrency = $initial_destination_concurrency
392
++local_minimum_delivery_slots = $default_minimum_delivery_slots
393
++local_recipient_limit = $default_recipient_limit
394
++local_recipient_maps = proxy:unix:passwd.byname $alias_maps
395
++local_recipient_refill_delay = $default_recipient_refill_delay
396
++local_recipient_refill_limit = $default_recipient_refill_limit
397
++local_transport = local:$myhostname
398
++luser_relay =
399
++mail_name = Postfix
400
++mail_owner = postfix
401
++mail_release_date = 20140507
402
++mail_version = 2.11.1
403
++mailbox_command =
404
++mailbox_command_maps =
405
++mailbox_delivery_lock = fcntl, dotlock
406
++mailbox_size_limit = 51200000
407
++mailbox_transport =
408
++mailbox_transport_maps =
409
++maps_rbl_domains =
410
++maps_rbl_reject_code = 554
411
++masquerade_classes = envelope_sender, header_sender, header_recipient
412
++masquerade_domains =
413
++masquerade_exceptions =
414
++master_service_disable =
415
++max_idle = 100s
416
++max_use = 100
417
++maximal_backoff_time = 4000s
418
++maximal_queue_lifetime = 5d
419
++message_reject_characters =
420
++message_size_limit = 10240000
421
++message_strip_characters =
422
++milter_command_timeout = 30s
423
++milter_connect_macros = j {daemon_name} v
424
++milter_connect_timeout = 30s
425
++milter_content_timeout = 300s
426
++milter_data_macros = i
427
++milter_default_action = tempfail
428
++milter_end_of_data_macros = i
429
++milter_end_of_header_macros = i
430
++milter_header_checks =
431
++milter_helo_macros = {tls_version} {cipher} {cipher_bits} {cert_subject} {cert_issuer}
432
++milter_macro_daemon_name = $myhostname
433
++milter_macro_v = $mail_name $mail_version
434
++milter_mail_macros = i {auth_type} {auth_authen} {auth_author} {mail_addr} {mail_host} {mail_mailer}
435
++milter_protocol = 6
436
++milter_rcpt_macros = i {rcpt_addr} {rcpt_host} {rcpt_mailer}
437
++milter_unknown_command_macros =
438
++mime_boundary_length_limit = 2048
439
++mime_header_checks = $header_checks
440
++mime_nesting_limit = 100
441
++minimal_backoff_time = 300s
442
++multi_instance_directories =
443
++multi_instance_enable = no
444
++multi_instance_group =
445
++multi_instance_name =
446
++multi_instance_wrapper =
447
++multi_recipient_bounce_reject_code = 550
448
++mydestination = $myhostname, localhost.$mydomain, localhost
449
++mynetworks_style = subnet
450
++myorigin = $myhostname
451
++nested_header_checks = $header_checks
452
++non_fqdn_reject_code = 504
453
++non_smtpd_milters =
454
++notify_classes = resource, software
455
++owner_request_special = yes
456
++parent_domain_matches_subdomains = debug_peer_list,fast_flush_domains,mynetworks,permit_mx_backup_networks,qmqpd_authorized_clients,relay_domains,smtpd_access_maps
457
++permit_mx_backup_networks =
458
++pickup_service_name = pickup
459
++plaintext_reject_code = 450
460
++postmulti_control_commands = reload flush
461
++postmulti_start_commands = start
462
++postmulti_stop_commands = stop abort drain quick-stop
463
++postscreen_access_list = permit_mynetworks
464
++postscreen_bare_newline_action = ignore
465
++postscreen_bare_newline_enable = no
466
++postscreen_bare_newline_ttl = 30d
467
++postscreen_blacklist_action = ignore
468
++postscreen_cache_cleanup_interval = 12h
469
++postscreen_cache_map = btree:$data_directory/postscreen_cache
470
++postscreen_cache_retention_time = 7d
471
++postscreen_client_connection_count_limit = $smtpd_client_connection_count_limit
472
++postscreen_command_count_limit = 20
473
++postscreen_command_filter =
474
++postscreen_command_time_limit = ${stress?10}${stress:300}s
475
++postscreen_disable_vrfy_command = $disable_vrfy_command
476
++postscreen_discard_ehlo_keyword_address_maps = $smtpd_discard_ehlo_keyword_address_maps
477
++postscreen_discard_ehlo_keywords = $smtpd_discard_ehlo_keywords
478
++postscreen_dnsbl_action = ignore
479
++postscreen_dnsbl_reply_map =
480
++postscreen_dnsbl_sites =
481
++postscreen_dnsbl_threshold = 1
482
++postscreen_dnsbl_ttl = 1h
483
++postscreen_dnsbl_whitelist_threshold = 0
484
++postscreen_enforce_tls = $smtpd_enforce_tls
485
++postscreen_expansion_filter = $smtpd_expansion_filter
486
++postscreen_forbidden_commands = $smtpd_forbidden_commands
487
++postscreen_greet_action = ignore
488
++postscreen_greet_banner = $smtpd_banner
489
++postscreen_greet_ttl = 1d
490
++postscreen_greet_wait = ${stress?2}${stress:6}s
491
++postscreen_helo_required = $smtpd_helo_required
492
++postscreen_non_smtp_command_action = drop
493
++postscreen_non_smtp_command_enable = no
494
++postscreen_non_smtp_command_ttl = 30d
495
++postscreen_pipelining_action = enforce
496
++postscreen_pipelining_enable = no
497
++postscreen_pipelining_ttl = 30d
498
++postscreen_post_queue_limit = $default_process_limit
499
++postscreen_pre_queue_limit = $default_process_limit
500
++postscreen_reject_footer = $smtpd_reject_footer
501
++postscreen_tls_security_level = $smtpd_tls_security_level
502
++postscreen_upstream_proxy_protocol =
503
++postscreen_upstream_proxy_timeout = 5s
504
++postscreen_use_tls = $smtpd_use_tls
505
++postscreen_watchdog_timeout = 10s
506
++postscreen_whitelist_interfaces = static:all
507
++prepend_delivered_header = command, file, forward
508
++process_id = 6537
509
++process_id_directory = pid
510
++process_name = postconf
511
++propagate_unmatched_extensions = canonical, virtual
512
++proxy_interfaces =
513
++proxy_read_maps = $local_recipient_maps $mydestination $virtual_alias_maps $virtual_alias_domains $virtual_mailbox_maps $virtual_mailbox_domains $relay_recipient_maps $relay_domains $canonical_maps $sender_canonical_maps $recipient_canonical_maps $relocated_maps $transport_maps $mynetworks $smtpd_sender_login_maps $sender_bcc_maps $recipient_bcc_maps $smtp_generic_maps $lmtp_generic_maps $alias_maps
514
++proxy_write_maps = $smtp_sasl_auth_cache_name $lmtp_sasl_auth_cache_name $address_verify_map $postscreen_cache_map
515
++proxymap_service_name = proxymap
516
++proxywrite_service_name = proxywrite
517
++qmgr_clog_warn_time = 300s
518
++qmgr_daemon_timeout = 1000s
519
++qmgr_fudge_factor = 100
520
++qmgr_ipc_timeout = 60s
521
++qmgr_message_active_limit = 20000
522
++qmgr_message_recipient_limit = 20000
523
++qmgr_message_recipient_minimum = 10
524
++qmqpd_authorized_clients =
525
++qmqpd_client_port_logging = no
526
++qmqpd_error_delay = 1s
527
++qmqpd_timeout = 300s
528
++queue_file_attribute_count_limit = 100
529
++queue_minfree = 0
530
++queue_run_delay = 300s
531
++queue_service_name = qmgr
532
++rbl_reply_maps =
533
++receive_override_options =
534
++recipient_bcc_maps =
535
++recipient_canonical_classes = envelope_recipient, header_recipient
536
++recipient_canonical_maps =
537
++recipient_delimiter =
538
++reject_code = 554
539
++reject_tempfail_action = defer_if_permit
540
++relay_clientcerts =
541
++relay_delivery_slot_cost = $default_delivery_slot_cost
542
++relay_delivery_slot_discount = $default_delivery_slot_discount
543
++relay_delivery_slot_loan = $default_delivery_slot_loan
544
++relay_destination_concurrency_failed_cohort_limit = $default_destination_concurrency_failed_cohort_limit
545
++relay_destination_concurrency_limit = $default_destination_concurrency_limit
546
++relay_destination_concurrency_negative_feedback = $default_destination_concurrency_negative_feedback
547
++relay_destination_concurrency_positive_feedback = $default_destination_concurrency_positive_feedback
548
++relay_destination_rate_delay = $default_destination_rate_delay
549
++relay_destination_recipient_limit = $default_destination_recipient_limit
550
++relay_domains = $mydestination
551
++relay_domains_reject_code = 554
552
++relay_extra_recipient_limit = $default_extra_recipient_limit
553
++relay_initial_destination_concurrency = $initial_destination_concurrency
554
++relay_minimum_delivery_slots = $default_minimum_delivery_slots
555
++relay_recipient_limit = $default_recipient_limit
556
++relay_recipient_maps =
557
++relay_recipient_refill_delay = $default_recipient_refill_delay
558
++relay_recipient_refill_limit = $default_recipient_refill_limit
559
++relay_transport = relay
560
++relayhost =
561
++relocated_maps =
562
++remote_header_rewrite_domain =
563
++require_home_directory = no
564
++reset_owner_alias = no
565
++resolve_dequoted_address = yes
566
++resolve_null_domain = no
567
++resolve_numeric_domain = no
568
++retry_delivery_slot_cost = $default_delivery_slot_cost
569
++retry_delivery_slot_discount = $default_delivery_slot_discount
570
++retry_delivery_slot_loan = $default_delivery_slot_loan
571
++retry_destination_concurrency_failed_cohort_limit = $default_destination_concurrency_failed_cohort_limit
572
++retry_destination_concurrency_limit = $default_destination_concurrency_limit
573
++retry_destination_concurrency_negative_feedback = $default_destination_concurrency_negative_feedback
574
++retry_destination_concurrency_positive_feedback = $default_destination_concurrency_positive_feedback
575
++retry_destination_rate_delay = $default_destination_rate_delay
576
++retry_destination_recipient_limit = $default_destination_recipient_limit
577
++retry_extra_recipient_limit = $default_extra_recipient_limit
578
++retry_initial_destination_concurrency = $initial_destination_concurrency
579
++retry_minimum_delivery_slots = $default_minimum_delivery_slots
580
++retry_recipient_limit = $default_recipient_limit
581
++retry_recipient_refill_delay = $default_recipient_refill_delay
582
++retry_recipient_refill_limit = $default_recipient_refill_limit
583
++rewrite_service_name = rewrite
584
++send_cyrus_sasl_authzid = no
585
++sender_bcc_maps =
586
++sender_canonical_classes = envelope_sender, header_sender
587
++sender_canonical_maps =
588
++sender_dependent_default_transport_maps =
589
++sender_dependent_relayhost_maps =
590
++sendmail_fix_line_endings = always
591
++service_throttle_time = 60s
592
++setgid_group = postdrop
593
++show_user_unknown_table_name = yes
594
++showq_service_name = showq
595
++smtp_address_preference = any
596
++smtp_always_send_ehlo = yes
597
++smtp_bind_address =
598
++smtp_bind_address6 =
599
++smtp_body_checks =
600
++smtp_cname_overrides_servername = no
601
++smtp_connect_timeout = 30s
602
++smtp_connection_cache_destinations =
603
++smtp_connection_cache_on_demand = yes
604
++smtp_connection_cache_time_limit = 2s
605
++smtp_connection_reuse_count_limit = 0
606
++smtp_connection_reuse_time_limit = 300s
607
++smtp_data_done_timeout = 600s
608
++smtp_data_init_timeout = 120s
609
++smtp_data_xfer_timeout = 180s
610
++smtp_defer_if_no_mx_address_found = no
611
++smtp_delivery_slot_cost = $default_delivery_slot_cost
612
++smtp_delivery_slot_discount = $default_delivery_slot_discount
613
++smtp_delivery_slot_loan = $default_delivery_slot_loan
614
++smtp_destination_concurrency_failed_cohort_limit = $default_destination_concurrency_failed_cohort_limit
615
++smtp_destination_concurrency_limit = $default_destination_concurrency_limit
616
++smtp_destination_concurrency_negative_feedback = $default_destination_concurrency_negative_feedback
617
++smtp_destination_concurrency_positive_feedback = $default_destination_concurrency_positive_feedback
618
++smtp_destination_rate_delay = $default_destination_rate_delay
619
++smtp_destination_recipient_limit = $default_destination_recipient_limit
620
++smtp_discard_ehlo_keyword_address_maps =
621
++smtp_discard_ehlo_keywords =
622
++smtp_dns_resolver_options =
623
++smtp_dns_support_level =
624
++smtp_enforce_tls = no
625
++smtp_extra_recipient_limit = $default_extra_recipient_limit
626
++smtp_fallback_relay = $fallback_relay
627
++smtp_generic_maps =
628
++smtp_header_checks =
629
++smtp_helo_name = $myhostname
630
++smtp_helo_timeout = 300s
631
++smtp_host_lookup = dns
632
++smtp_initial_destination_concurrency = $initial_destination_concurrency
633
++smtp_line_length_limit = 998
634
++smtp_mail_timeout = 300s
635
++smtp_mime_header_checks =
636
++smtp_minimum_delivery_slots = $default_minimum_delivery_slots
637
++smtp_mx_address_limit = 5
638
++smtp_mx_session_limit = 2
639
++smtp_nested_header_checks =
640
++smtp_never_send_ehlo = no
641
++smtp_per_record_deadline = no
642
++smtp_pix_workaround_delay_time = 10s
643
++smtp_pix_workaround_maps =
644
++smtp_pix_workaround_threshold_time = 500s
645
++smtp_pix_workarounds = disable_esmtp,delay_dotcrlf
646
++smtp_quit_timeout = 300s
647
++smtp_quote_rfc821_envelope = yes
648
++smtp_randomize_addresses = yes
649
++smtp_rcpt_timeout = 300s
650
++smtp_recipient_limit = $default_recipient_limit
651
++smtp_recipient_refill_delay = $default_recipient_refill_delay
652
++smtp_recipient_refill_limit = $default_recipient_refill_limit
653
++smtp_reply_filter =
654
++smtp_rset_timeout = 20s
655
++smtp_sasl_auth_cache_name =
656
++smtp_sasl_auth_cache_time = 90d
657
++smtp_sasl_auth_enable = no
658
++smtp_sasl_auth_soft_bounce = yes
659
++smtp_sasl_mechanism_filter =
660
++smtp_sasl_password_maps =
661
++smtp_sasl_path =
662
++smtp_sasl_security_options = noplaintext, noanonymous
663
++smtp_sasl_tls_security_options = $smtp_sasl_security_options
664
++smtp_sasl_tls_verified_security_options = $smtp_sasl_tls_security_options
665
++smtp_sasl_type = cyrus
666
++smtp_send_dummy_mail_auth = no
667
++smtp_send_xforward_command = no
668
++smtp_sender_dependent_authentication = no
669
++smtp_skip_5xx_greeting = yes
670
++smtp_skip_quit_response = yes
671
++smtp_starttls_timeout = 300s
672
++smtp_tls_CAfile =
673
++smtp_tls_CApath =
674
++smtp_tls_block_early_mail_reply = no
675
++smtp_tls_cert_file =
676
++smtp_tls_ciphers = export
677
++smtp_tls_dcert_file =
678
++smtp_tls_dkey_file = $smtp_tls_dcert_file
679
++smtp_tls_eccert_file =
680
++smtp_tls_eckey_file = $smtp_tls_eccert_file
681
++smtp_tls_enforce_peername = yes
682
++smtp_tls_exclude_ciphers =
683
++smtp_tls_fingerprint_cert_match =
684
++smtp_tls_fingerprint_digest = md5
685
++smtp_tls_force_insecure_host_tlsa_lookup = no
686
++smtp_tls_key_file = $smtp_tls_cert_file
687
++smtp_tls_loglevel = 0
688
++smtp_tls_mandatory_ciphers = medium
689
++smtp_tls_mandatory_exclude_ciphers =
690
++smtp_tls_mandatory_protocols = !SSLv2
691
++smtp_tls_note_starttls_offer = no
692
++smtp_tls_per_site =
693
++smtp_tls_policy_maps =
694
++smtp_tls_protocols = !SSLv2
695
++smtp_tls_scert_verifydepth = 9
696
++smtp_tls_secure_cert_match = nexthop, dot-nexthop
697
++smtp_tls_security_level =
698
++smtp_tls_session_cache_database =
699
++smtp_tls_session_cache_timeout = 3600s
700
++smtp_tls_trust_anchor_file =
701
++smtp_tls_verify_cert_match = hostname
702
++smtp_use_tls = no
703
++smtp_xforward_timeout = 300s
704
++smtpd_authorized_verp_clients = $authorized_verp_clients
705
++smtpd_authorized_xclient_hosts =
706
++smtpd_authorized_xforward_hosts =
707
++smtpd_banner = $myhostname ESMTP $mail_name
708
++smtpd_client_connection_count_limit = 50
709
++smtpd_client_connection_rate_limit = 0
710
++smtpd_client_event_limit_exceptions = ${smtpd_client_connection_limit_exceptions:$mynetworks}
711
++smtpd_client_message_rate_limit = 0
712
++smtpd_client_new_tls_session_rate_limit = 0
713
++smtpd_client_port_logging = no
714
++smtpd_client_recipient_rate_limit = 0
715
++smtpd_client_restrictions =
716
++smtpd_command_filter =
717
++smtpd_data_restrictions =
718
++smtpd_delay_open_until_valid_rcpt = yes
719
++smtpd_delay_reject = yes
720
++smtpd_discard_ehlo_keyword_address_maps =
721
++smtpd_discard_ehlo_keywords =
722
++smtpd_end_of_data_restrictions =
723
++smtpd_enforce_tls = no
724
++smtpd_error_sleep_time = 1s
725
++smtpd_etrn_restrictions =
726
++smtpd_expansion_filter = \t\40!"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~
727
++smtpd_forbidden_commands = CONNECT GET POST
728
++smtpd_hard_error_limit = ${stress?1}${stress:20}
729
++smtpd_helo_required = no
730
++smtpd_helo_restrictions =
731
++smtpd_history_flush_threshold = 100
732
++smtpd_junk_command_limit = ${stress?1}${stress:100}
733
++smtpd_log_access_permit_actions =
734
++smtpd_milters =
735
++smtpd_noop_commands =
736
++smtpd_null_access_lookup_key = <>
737
++smtpd_peername_lookup = yes
738
++smtpd_per_record_deadline = ${stress?yes}${stress:no}
739
++smtpd_policy_service_max_idle = 300s
740
++smtpd_policy_service_max_ttl = 1000s
741
++smtpd_policy_service_timeout = 100s
742
++smtpd_proxy_ehlo = $myhostname
743
++smtpd_proxy_filter =
744
++smtpd_proxy_options =
745
++smtpd_proxy_timeout = 100s
746
++smtpd_recipient_limit = 1000
747
++smtpd_recipient_overshoot_limit = 1000
748
++smtpd_recipient_restrictions =
749
++smtpd_reject_footer =
750
++smtpd_reject_unlisted_recipient = yes
751
++smtpd_reject_unlisted_sender = no
752
++smtpd_relay_restrictions = permit_mynetworks, permit_sasl_authenticated, defer_unauth_destination
753
++smtpd_restriction_classes =
754
++smtpd_sasl_auth_enable = no
755
++smtpd_sasl_authenticated_header = no
756
++smtpd_sasl_exceptions_networks =
757
++smtpd_sasl_local_domain =
758
++smtpd_sasl_path = smtpd
759
++smtpd_sasl_security_options = noanonymous
760
++smtpd_sasl_service = smtp
761
++smtpd_sasl_tls_security_options = $smtpd_sasl_security_options
762
++smtpd_sasl_type = cyrus
763
++smtpd_sender_login_maps =
764
++smtpd_sender_restrictions =
765
++smtpd_service_name = smtpd
766
++smtpd_soft_error_limit = 10
767
++smtpd_starttls_timeout = ${stress?10}${stress:300}s
768
++smtpd_timeout = ${stress?10}${stress:300}s
769
++smtpd_tls_CAfile =
770
++smtpd_tls_CApath =
771
++smtpd_tls_always_issue_session_ids = yes
772
++smtpd_tls_ask_ccert = no
773
++smtpd_tls_auth_only = no
774
++smtpd_tls_ccert_verifydepth = 9
775
++smtpd_tls_cert_file =
776
++smtpd_tls_ciphers = export
777
++smtpd_tls_dcert_file =
778
++smtpd_tls_dh1024_param_file =
779
++smtpd_tls_dh512_param_file =
780
++smtpd_tls_dkey_file = $smtpd_tls_dcert_file
781
++smtpd_tls_eccert_file =
782
++smtpd_tls_eckey_file = $smtpd_tls_eccert_file
783
++smtpd_tls_eecdh_grade = strong
784
++smtpd_tls_exclude_ciphers =
785
++smtpd_tls_fingerprint_digest = md5
786
++smtpd_tls_key_file = $smtpd_tls_cert_file
787
++smtpd_tls_loglevel = 0
788
++smtpd_tls_mandatory_ciphers = medium
789
++smtpd_tls_mandatory_exclude_ciphers =
790
++smtpd_tls_mandatory_protocols = !SSLv2
791
++smtpd_tls_protocols =
792
++smtpd_tls_received_header = no
793
++smtpd_tls_req_ccert = no
794
++smtpd_tls_security_level =
795
++smtpd_tls_session_cache_database =
796
++smtpd_tls_session_cache_timeout = 3600s
797
++smtpd_tls_wrappermode = no
798
++smtpd_upstream_proxy_protocol =
799
++smtpd_upstream_proxy_timeout = 5s
800
++smtpd_use_tls = no
801
++soft_bounce = no
802
++stale_lock_time = 500s
803
++stress =
804
++strict_7bit_headers = no
805
++strict_8bitmime = no
806
++strict_8bitmime_body = no
807
++strict_mailbox_ownership = yes
808
++strict_mime_encoding_domain = no
809
++strict_rfc821_envelopes = no
810
++sun_mailtool_compatibility = no
811
++swap_bangpath = yes
812
++syslog_facility = mail
813
++syslog_name = ${multi_instance_name:postfix}${multi_instance_name?$multi_instance_name}
814
++tcp_windowsize = 0
815
++tls_append_default_CA = no
816
++tls_daemon_random_bytes = 32
817
++tls_dane_digest_agility = on
818
++tls_dane_digests = sha512 sha256
819
++tls_dane_trust_anchor_digest_enable = yes
820
++tls_disable_workarounds =
821
++tls_eecdh_strong_curve = prime256v1
822
++tls_eecdh_ultra_curve = secp384r1
823
++tls_export_cipherlist = ALL:+RC4:@STRENGTH
824
++tls_high_cipherlist = ALL:!EXPORT:!LOW:!MEDIUM:+RC4:@STRENGTH
825
++tls_legacy_public_key_fingerprints = no
826
++tls_low_cipherlist = ALL:!EXPORT:+RC4:@STRENGTH
827
++tls_medium_cipherlist = ALL:!EXPORT:!LOW:+RC4:@STRENGTH
828
++tls_null_cipherlist = eNULL:!aNULL
829
++tls_preempt_cipherlist = no
830
++tls_random_bytes = 32
831
++tls_random_exchange_name = ${data_directory}/prng_exch
832
++tls_random_prng_update_period = 3600s
833
++tls_random_reseed_period = 3600s
834
++tls_random_source = dev:/dev/urandom
835
++tls_ssl_options =
836
++tls_wildcard_matches_multiple_labels = yes
837
++tlsmgr_service_name = tlsmgr
838
++tlsproxy_enforce_tls = $smtpd_enforce_tls
839
++tlsproxy_service_name = tlsproxy
840
++tlsproxy_tls_CAfile = $smtpd_tls_CAfile
841
++tlsproxy_tls_CApath = $smtpd_tls_CApath
842
++tlsproxy_tls_always_issue_session_ids = $smtpd_tls_always_issue_session_ids
843
++tlsproxy_tls_ask_ccert = $smtpd_tls_ask_ccert
844
++tlsproxy_tls_ccert_verifydepth = $smtpd_tls_ccert_verifydepth
845
++tlsproxy_tls_cert_file = $smtpd_tls_cert_file
846
++tlsproxy_tls_ciphers = $smtpd_tls_ciphers
847
++tlsproxy_tls_dcert_file = $smtpd_tls_dcert_file
848
++tlsproxy_tls_dh1024_param_file = $smtpd_tls_dh1024_param_file
849
++tlsproxy_tls_dh512_param_file = $smtpd_tls_dh512_param_file
850
++tlsproxy_tls_dkey_file = $smtpd_tls_dkey_file
851
++tlsproxy_tls_eccert_file = $smtpd_tls_eccert_file
852
++tlsproxy_tls_eckey_file = $smtpd_tls_eckey_file
853
++tlsproxy_tls_eecdh_grade = $smtpd_tls_eecdh_grade
854
++tlsproxy_tls_exclude_ciphers = $smtpd_tls_exclude_ciphers
855
++tlsproxy_tls_fingerprint_digest = $smtpd_tls_fingerprint_digest
856
++tlsproxy_tls_key_file = $smtpd_tls_key_file
857
++tlsproxy_tls_loglevel = $smtpd_tls_loglevel
858
++tlsproxy_tls_mandatory_ciphers = $smtpd_tls_mandatory_ciphers
859
++tlsproxy_tls_mandatory_exclude_ciphers = $smtpd_tls_mandatory_exclude_ciphers
860
++tlsproxy_tls_mandatory_protocols = $smtpd_tls_mandatory_protocols
861
++tlsproxy_tls_protocols = $smtpd_tls_protocols
862
++tlsproxy_tls_req_ccert = $smtpd_tls_req_ccert
863
++tlsproxy_tls_security_level = $smtpd_tls_security_level
864
++tlsproxy_use_tls = $smtpd_use_tls
865
++tlsproxy_watchdog_timeout = 10s
866
++trace_service_name = trace
867
++transport_maps =
868
++transport_retry_time = 60s
869
++trigger_timeout = 10s
870
++undisclosed_recipients_header =
871
++unknown_address_reject_code = 450
872
++unknown_address_tempfail_action = $reject_tempfail_action
873
++unknown_client_reject_code = 450
874
++unknown_helo_hostname_tempfail_action = $reject_tempfail_action
875
++unknown_hostname_reject_code = 450
876
++unknown_local_recipient_reject_code = 550
877
++unknown_relay_recipient_reject_code = 550
878
++unknown_virtual_alias_reject_code = 550
879
++unknown_virtual_mailbox_reject_code = 550
880
++unverified_recipient_defer_code = 450
881
++unverified_recipient_reject_code = 450
882
++unverified_recipient_reject_reason =
883
++unverified_recipient_tempfail_action = $reject_tempfail_action
884
++unverified_sender_defer_code = 450
885
++unverified_sender_reject_code = 450
886
++unverified_sender_reject_reason =
887
++unverified_sender_tempfail_action = $reject_tempfail_action
888
++verp_delimiter_filter = -=+
889
++virtual_alias_domains = $virtual_alias_maps
890
++virtual_alias_expansion_limit = 1000
891
++virtual_alias_maps = $virtual_maps
892
++virtual_alias_recursion_limit = 1000
893
++virtual_delivery_slot_cost = $default_delivery_slot_cost
894
++virtual_delivery_slot_discount = $default_delivery_slot_discount
895
++virtual_delivery_slot_loan = $default_delivery_slot_loan
896
++virtual_destination_concurrency_failed_cohort_limit = $default_destination_concurrency_failed_cohort_limit
897
++virtual_destination_concurrency_limit = $default_destination_concurrency_limit
898
++virtual_destination_concurrency_negative_feedback = $default_destination_concurrency_negative_feedback
899
++virtual_destination_concurrency_positive_feedback = $default_destination_concurrency_positive_feedback
900
++virtual_destination_rate_delay = $default_destination_rate_delay
901
++virtual_destination_recipient_limit = $default_destination_recipient_limit
902
++virtual_extra_recipient_limit = $default_extra_recipient_limit
903
++virtual_gid_maps =
904
++virtual_initial_destination_concurrency = $initial_destination_concurrency
905
++virtual_mailbox_base =
906
++virtual_mailbox_domains = $virtual_mailbox_maps
907
++virtual_mailbox_limit = 51200000
908
++virtual_mailbox_lock = fcntl, dotlock
909
++virtual_mailbox_maps =
910
++virtual_minimum_delivery_slots = $default_minimum_delivery_slots
911
++virtual_minimum_uid = 100
912
++virtual_recipient_limit = $default_recipient_limit
913
++virtual_recipient_refill_delay = $default_recipient_refill_delay
914
++virtual_recipient_refill_limit = $default_recipient_refill_limit
915
++virtual_transport = virtual
916
++virtual_uid_maps =

+ 12
- 0
mail/postfix/patches/800-fmt.patch View File

@@ -0,0 +1,12 @@
1
+diff -Naur postfix-2.11.1/conf/post-install postfix-2.11.1.patched/conf/post-install
2
+--- postfix-2.11.1/conf/post-install	2014-10-05 20:43:58.597876946 +0400
3
++++ postfix-2.11.1.patched/conf/post-install	2014-10-11 16:28:01.258874097 +0400
4
+@@ -310,7 +310,7 @@
5
+ case `uname -s` in
6
+ HP-UX*) FMT=cat;;
7
+ SunOS*) FMT=fake_fmt;;
8
+-     *) FMT=fmt;;
9
++     *) FMT="xargs echo";;
10
+ esac
11
+ 
12
+ # If a parameter is not set via the command line or environment,